Package ru.bitel.bgbilling.kernel.script.common.bean

# Class Script

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.kernel.script.common.bean.Script

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

Direct Known Subclasses:
  `DeviceTypeScript`, `Function`, `GlobalScript`, `ScriptBackup`, `ScriptLibrary`

public class Script extends IdTitle
Класс-модель "скрипт".

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Script()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Revision`
  `getRevision()`
  Возвращает Revision-параметры ревизии скрипта.
  `String`
  `getScript()`
  Возвращает тело скрипта.
  `Date`
  `getTimeRevision()`
  Возвращает время создания ревизии.
  `int`
  `getUserId()`
  Возвращает userId(код) пользователя - автора ревизии.
  `void`
  `setRevision(Revision revision)`
  Устанавливает параметры ревизии скрипта
  `void`
  `setScript(String script)`
  Устанавливает тело скрипта.
  `void`
  `setTimeRevision(Date timeRevision)`
  Устанавливает время создания ревизии.
  `void`
  `setUserId(int userId)`
  Устанавливает userID(код) пользователя - автора ревизии.

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setAsNoSelect, setId, setTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### Script

    public Script()

- ## Method Details

  - ### getScript

    public String getScript()
    Возвращает тело скрипта.
    Returns:
      тело скрипта.

  - ### setScript

    public void setScript(String script)
    Устанавливает тело скрипта.
    Parameters:
      `script` - .

  - ### getUserId

    public int getUserId()
    Возвращает userId(код) пользователя - автора ревизии.
    Returns:
      userId(код).

  - ### setUserId

    public void setUserId(int userId)
    Устанавливает userID(код) пользователя - автора ревизии.
    Parameters:
      `userId` -

  - ### getTimeRevision

    public Date getTimeRevision()
    Возвращает время создания ревизии.
    Returns:
      timeRevision время создания ревизии.

  - ### setTimeRevision

    public void setTimeRevision(Date timeRevision)
    Устанавливает время создания ревизии.
    Parameters:
      `timeRevision` - .

  - ### getRevision

    public Revision getRevision()
    Возвращает Revision-параметры ревизии скрипта.
    Returns:
      параметры ревизии скрипта.

  - ### setRevision

    public void setRevision(Revision revision)
    Устанавливает параметры ревизии скрипта
    Parameters:
      `параметры` - ревизии скрипта